import { IWriter } from './Logger';
/**
 * Log를 파일로
 */
export declare class FileWriter implements IWriter {
    private _stream;
    /**
     * Log를 파일로
     * @param path 저장할 파일경로
     * @param interval 장기간 로그할때 파일을 따로 저장. 예: '1d'
     */
    constructor(path: string, interval?: string);
    private _message;
    log(msg: string): void;
    error(msg: string): void;
    write(msg: any): void;
}
