"use strict";
// fourdollar
//
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Observable = exports.MemoryWriter = exports.getLogger = exports.logger = exports.stop = exports.Timer = exports.FileWriter = exports.DefaultWriter = exports.Logger = exports.toStringQuery = exports.isFloat = exports.isInteger = exports.promisify = exports.types = void 0;
const promisify_1 = __importDefault(require("./promisify"));
exports.promisify = promisify_1.default;
const numbers_1 = require("./numbers");
Object.defineProperty(exports, "isFloat", { enumerable: true, get: function () { return numbers_1.isFloat; } });
Object.defineProperty(exports, "isInteger", { enumerable: true, get: function () { return numbers_1.isInteger; } });
const Logger_1 = require("./Logger");
Object.defineProperty(exports, "Logger", { enumerable: true, get: function () { return Logger_1.Logger; } });
Object.defineProperty(exports, "DefaultWriter", { enumerable: true, get: function () { return Logger_1.DefaultWriter; } });
const FileWriter_1 = require("./FileWriter");
Object.defineProperty(exports, "FileWriter", { enumerable: true, get: function () { return FileWriter_1.FileWriter; } });
const Timer_1 = require("./Timer");
Object.defineProperty(exports, "Timer", { enumerable: true, get: function () { return Timer_1.Timer; } });
const utils_1 = require("./utils");
Object.defineProperty(exports, "stop", { enumerable: true, get: function () { return utils_1.stop; } });
Object.defineProperty(exports, "toStringQuery", { enumerable: true, get: function () { return utils_1.toStringQuery; } });
const logger_v2_1 = require("./logger.v2");
Object.defineProperty(exports, "logger", { enumerable: true, get: function () { return logger_v2_1.logger; } });
Object.defineProperty(exports, "getLogger", { enumerable: true, get: function () { return logger_v2_1.getLogger; } });
const MemoryWriter_1 = require("./MemoryWriter");
Object.defineProperty(exports, "MemoryWriter", { enumerable: true, get: function () { return MemoryWriter_1.MemoryWriter; } });
const observable_1 = require("./observable");
Object.defineProperty(exports, "Observable", { enumerable: true, get: function () { return observable_1.Observable; } });
const types = __importStar(require("./types"));
exports.types = types;
exports.default = {
    promisify: promisify_1.default,
    isInteger: numbers_1.isInteger,
    isFloat: numbers_1.isFloat,
    toStringQuery: utils_1.toStringQuery,
    Logger: Logger_1.Logger,
    FileWriter: FileWriter_1.FileWriter,
    Timer: Timer_1.Timer,
    stop: utils_1.stop,
    logger: logger_v2_1.logger,
    getLogger: logger_v2_1.getLogger,
    MemoryWriter: MemoryWriter_1.MemoryWriter,
    Observable: observable_1.Observable,
};
//# sourceMappingURL=index.js.map